Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.sequencer
Class PathExpression.Matcher

    java.lang.Object
      org.modeshape.jcr.sequencer.PathExpression.Matcher

Enclosing class:
  PathExpression

    @Immutable
    public static class PathExpression.Matcher

extends Object

Constructor Summary
`protected` | `PathExpression.Matcher(Matcher inputMatcher, String inputPath, String selectedWorkspace, String selectedPath)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getInputPath()`
`String` | `getSelectedNodePath()`
`String` | `getSelectedWorkspaceName()` Get the name of the selected workspace.
`String` | `group(int groupNumber)`
`int` | `groupCount()`
`int` | `hashCode()`
`boolean` | `matches()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PathExpression.Matcher

    protected PathExpression.Matcher(Matcher inputMatcher,
                                     String inputPath,
                                     String selectedWorkspace,
                                     String selectedPath)

Method Detail

### matches

    public boolean matches()

### getInputPath

    public String getInputPath()

  Returns:
    inputPath

### getSelectedNodePath

    public String getSelectedNodePath()

  Returns:
    selectPattern

### getSelectedWorkspaceName

    public String getSelectedWorkspaceName()

  Get the name of the selected workspace.

  Returns:
    the workspace name, or null if there is none specified

### groupCount

    public int groupCount()

### group

    public String group(int groupNumber)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.